curl --request POST \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/cards/{cardId}/pending-points/{bucketId}/activate \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"message": "<string>",
"transaction": {
"id": "<string>",
"card_id": "<string>",
"program_id": "<string>",
"member_id": "<string>",
"card_definition_id": "<string>",
"card_type": "<string>",
"details": {
"reason": "<string>",
"metadata": {},
"rejection": {
"reason": "<string>",
"details": "<string>"
},
"points": {
"total": 123,
"expiration_date": "2023-12-25",
"expiration_type": "<string>",
"date": "2023-12-25",
"type": "<string>"
},
"result": {},
"reward_id": "<string>",
"bucket": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Activate pending points
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Manually activates a pending points bucket, converting pending points to active points. The bucket must be in PENDING status and have a future activation date. Both the program and member must be ACTIVE. The card definition must have pending points enabled.
Creates a PENDING_POINTS_ACTIVATED transaction processed asynchronously.
curl --request POST \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/cards/{cardId}/pending-points/{bucketId}/activate \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"message": "<string>",
"transaction": {
"id": "<string>",
"card_id": "<string>",
"program_id": "<string>",
"member_id": "<string>",
"card_definition_id": "<string>",
"card_type": "<string>",
"details": {
"reason": "<string>",
"metadata": {},
"rejection": {
"reason": "<string>",
"details": "<string>"
},
"points": {
"total": 123,
"expiration_date": "2023-12-25",
"expiration_type": "<string>",
"date": "2023-12-25",
"type": "<string>"
},
"result": {},
"reward_id": "<string>",
"bucket": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique program identifier
Unique member identifier
Unique card identifier
Unique bucket identifier (pending points or expiring points)
Response
Pending points activation result
Was this page helpful?

